package org.anyin.gitee.shiro.base;

import lombok.Getter;

@Getter
public enum BusinessCodeEnum {
    UNKNOWN_ERROR("1000", "未知错误"),
    USER_UN_LOGIN("1008", "用户未登录"),
    USER_NOT_FOUND("B1001", "用户账号密码错误"),
    PWD_NOT_MATCH("B1002", "用户账号密码错误"),
    TOKEN_INVALID("B1003", "Token失效")
    ;

    private final String code;
    private final String msg;

    BusinessCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public BusinessException getException(){
        return new BusinessException(this.code, this.msg);
    }
}
