drop table if exists `sys_user`;
create table `sys_user`
(
    `id`              int(11) auto_increment,
    `username`      varchar(32) not null comment '用户名',
    `nickname`      varchar(64) not null default '' comment '昵称',
    `password`      varchar(64) not null default '' comment '密码',
    `del_flg`         int(11)        not null default '1' comment '0删除；1正常；默认1',
    `remark`          varchar(256)            default null comment '备注',
    `create_by`       int(11)                 default '0' comment '创建者',
    `create_time`     datetime                default current_timestamp comment '创建时间',
    `update_by`       int(11)        not null default '0' comment '更新者',
    `update_time`     datetime                default current_timestamp on update current_timestamp comment '更新时间',
    primary key (`id`)
) engine = innodb
  default charset = utf8mb4 comment ='用户表';